local AttentionTweakData = AttentionTweakData

Hooks:PostHook(AttentionTweakData, "_post_init", "ADF_AttentionTweakData_post_init", function(self)
	table.merge(self.settings.pl_foe_combatant_cbt_stand, {
		uncover_range = 200, -- 300
	})
	table.merge(self.settings.pl_mask_on_foe_combatant_whisper_mode_run, {
		uncover_range = 350, -- 450
		verification_interval = 0.2 -- 0.1
	})
	table.merge(self.settings.pl_mask_on_foe_non_combatant_whisper_mode_run, {
		uncover_range = 350, -- 450
		verification_interval = 0.2, -- 0.1
	})
end)

Hooks:PostHook(AttentionTweakData, "_init_civilian", "ADF_AttentionTweakData_init_civilian", function(self)
	table.merge(self.settings.civ_enemy_corpse_sneak, {
		uncover_range = 300, -- 1000
		suspicion_range = 1000
	})
end)

Hooks:PostHook(AttentionTweakData, "_init_prop", "ADF_AttentionTweakData_init_prop", function(self)
	-- bodybag -> corpse
	table.merge(self.settings.prop_carry_bodybag, {
		uncover_range = 300, -- 1000
		suspicion_range = 1000,
		verification_interval = 0.05
	})
end)